import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

import 'package:senior_design_tokens/tokens/senior_icon_size.dart';

import '../widgets/page_wrapper.dart';
import '../widgets/panel.dart';

class IconSizeExample extends StatelessWidget {
  const IconSizeExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Icon Size',
      child: SingleChildScrollView(
        child: Column(
          children: const [
            Panel(
              title: 'xsmall',
              child: Center(
                child: FaIcon(
                  FontAwesomeIcons.house,
                  size: SeniorIconSize.xsmall,
                ),
              ),
            ),
            Panel(
              title: 'small',
              child: Center(
                child: FaIcon(
                  FontAwesomeIcons.house,
                  size: SeniorIconSize.small,
                ),
              ),
            ),
            Panel(
              title: 'medium',
              child: Center(
                child: FaIcon(
                  FontAwesomeIcons.house,
                  size: SeniorIconSize.medium,
                ),
              ),
            ),
            Panel(
              title: 'large',
              child: Center(
                child: FaIcon(
                  FontAwesomeIcons.house,
                  size: SeniorIconSize.large,
                ),
              ),
            ),
            Panel(
              title: 'huge',
              child: Center(
                child: FaIcon(
                  FontAwesomeIcons.house,
                  size: SeniorIconSize.huge,
                ),
              ),
            ),
            Panel(
              title: 'big',
              child: Center(
                child: FaIcon(
                  FontAwesomeIcons.house,
                  size: SeniorIconSize.big,
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
